
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_orderreshoprs_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for FlightDurationListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="FlightDurationListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="ConnectionTime"/&amp;gt;
 *     &amp;lt;enumeration value="FlightTime"/&amp;gt;
 *     &amp;lt;enumeration value="StopTime"/&amp;gt;
 *     &amp;lt;enumeration value="TotalJourneyTime"/&amp;gt;
 *     &amp;lt;enumeration value="Other"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "FlightDurationListType")
@XmlEnum
public enum FlightDurationListType {

    @XmlEnumValue("ConnectionTime")
    CONNECTION_TIME("ConnectionTime"),
    @XmlEnumValue("FlightTime")
    FLIGHT_TIME("FlightTime"),
    @XmlEnumValue("StopTime")
    STOP_TIME("StopTime"),
    @XmlEnumValue("TotalJourneyTime")
    TOTAL_JOURNEY_TIME("TotalJourneyTime"),
    @XmlEnumValue("Other")
    OTHER("Other");
    private final String value;

    FlightDurationListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static FlightDurationListType fromValue(String v) {
        for (FlightDurationListType c: FlightDurationListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
